Bug 999129 - pulp-admin commands sometimes result in an error when repo upload is running
pulp-admin commands sometimes result in an error when repo upload is running
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.3.0
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 15:11 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2013-08-20 15:11:48 EDT
Description of problem:

Started repo upload with the command -
$ pulp-admin rpm repo uploads rpm --repo-id test-repo-1000 -d /var/tmp/generated-repo/


$ pulp-admin rpm repo list
The following extensions failed to load: iso
More information on the failures can be found in ~/.pulp/admin.log

$ pulp-admin rpm repo list
The following extensions failed to load: rpm_repo, iso
More information on the failures can be found in ~/.pulp/admin.log


admin.log -

2013-08-20 09:52:13,279 - ERROR - Module [pulp_cli] could not be initialized
Traceback (most recent call last):
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/extensions/loader.py", line 244, in _load_pack
    init_func(context_copy)
  File "/usr/lib/pulp/admin/extensions/iso/pulp_cli.py", line 25, in initialize
    add_iso_section(context)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 63, in add_iso_section
    add_repo_section(context, root_section)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 98, in add_repo_section
    add_uploads_section(context, repo_section)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 163, in add_uploads_section
    upload_manager = _get_upload_manager(context)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 184, in _get_upload_manager
    upload_manager.initialize()
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 124, in initialize
    tracker_file = UploadTracker.load(full_filename)
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 444, in load
    f = open(filename, 'r')
IOError: [Errno 2] No such file or directory: '/home/skarmark/.pulp/uploads/9b01d4bc-cbb3-4b35-a0a8-3a839e5bd211'


2013-08-20 09:56:07,104 - ERROR - Module [pulp_cli] could not be initialized
Traceback (most recent call last):
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/extensions/loader.py", line 244, in _load_pack
    init_func(context_copy)
  File "/usr/lib/pulp/admin/extensions/rpm_repo/pulp_cli.py", line 35, in initialize
    upload_manager = _upload_manager(context)
  File "/usr/lib/pulp/admin/extensions/rpm_repo/pulp_cli.py", line 129, in _upload_manager
    upload_manager.initialize()
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 124, in initialize
    tracker_file = UploadTracker.load(full_filename)
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 444, in load
    f = open(filename, 'r')
IOError: [Errno 2] No such file or directory: '/home/skarmark/.pulp/uploads/d3275bec-6373-42b7-870a-ec80310ed5c4'
2013-08-20 09:56:07,563 - ERROR - Module [pulp_cli] could not be initialized
Traceback (most recent call last):
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/extensions/loader.py", line 244, in _load_pack
    init_func(context_copy)
  File "/usr/lib/pulp/admin/extensions/iso/pulp_cli.py", line 25, in initialize
    add_iso_section(context)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 63, in add_iso_section
    add_repo_section(context, root_section)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 98, in add_repo_section
    add_uploads_section(context, repo_section)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 163, in add_uploads_section
    upload_manager = _get_upload_manager(context)
  File "/home/skarmark/git/pulp_rpm/pulp_rpm/src/pulp_rpm/extension/admin/iso/structure.py", line 184, in _get_upload_manager
    upload_manager.initialize()
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 124, in initialize
    tracker_file = UploadTracker.load(full_filename)
  File "/home/skarmark/git/pulp1/pulp/platform/src/pulp/client/upload/manager.py", line 444, in load
    f = open(filename, 'r')
IOError: [Errno 2] No such file or directory: '/home/skarmark/.pulp/uploads/3d23f79f-34fe-4210-9d21-623ee2096743'
Comment 1 Sayli Karmarkar 2013-10-02 19:07:43 EDT
https://github.com/pulp/pulp_rpm/pull/348
Comment 2 Jeff Ortel 2013-10-11 11:25:55 EDT
build: 2.3.0-0.18.beta
Comment 3 Preethi Thomas 2013-10-17 09:10:11 EDT
verified
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.21.beta.el6.noarch
[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:30:14 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.